%global hash 72f39d4
%global date 20180715

Name:           sgabios
Epoch:          1
Version:        0.%{date}git
Release:        %mkrel 1
Summary:        Serial graphics BIOS option rom

Group:          Emulators
License:        ASL 2.0
URL:            https://github.com/qemu/sgabios
# There are no upstream releases.  This archive is prepared as follows:
#
# git clone https://github.com/qemu/sgabios
# cd sgabios
# hash=`git log -1 --format='%h'`
# date=`git log -1 --format='%cd' --date=short | tr -d -`
# git archive --prefix sgabios-${date}-git${hash}/ ${hash} | xz -7e > ../openbios-${date}-git${hash}.tar.xz
Source0:        sgabios-%{date}-git%{hash}.tar.xz

BuildRequires:  binutils-x86_64-linux-gnu 
BuildRequires:  gcc-x86_64-linux-gnu
Buildarch: noarch

Requires: %{name}-bin = %{epoch}:%{version}-%{release}

# Sgabios is noarch, but required on architectures which cannot build it.
# Disable debuginfo because it is of no use to us.
%global debug_package %{nil}

%description
SGABIOS is designed to be inserted into a BIOS as an option rom to provide over
a serial port the display and input capabilities normally handled by a VGA
adapter and a keyboard, and additionally provide hooks for logging displayed
characters for later collection after an operating system boots.

%package bin
Summary: Sgabios for x86
Buildarch: noarch

%description bin
SGABIOS is designed to be inserted into a BIOS as an option rom to provide over
a serial port the display and input capabilities normally handled by a VGA
adapter and a keyboard, and additionally provide hooks for logging displayed
characters for later collection after an operating system boots.

%prep
%setup -q -n sgabios-%{date}-git%{hash}
%autopatch


%build
unset MAKEFLAGS
make \
        HOSTCC=gcc \
        CC=x86_64-linux-gnu-gcc \
        AS=x86_64-linux-gnu-as \
        LD=x86_64-linux-gnu-ld \
        OBJCOPY=x86_64-linux-gnu-objcopy \
        OBJDUMP=x86_64-linux-gnu-objdump


%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sgabios
install -m 0644 sgabios.bin $RPM_BUILD_ROOT%{_datadir}/sgabios


%files
%doc COPYING design.txt


%files bin
%dir %{_datadir}/sgabios/
%{_datadir}/sgabios/sgabios.bin




%changelog
* Tue Sep 08 2020 tv <tv> 1:0.20180715git-1.mga8
+ Revision: 1623499
- update to a much newer snapshot
- fix URL

* Wed Feb 12 2020 umeabot <umeabot> 1:0.20110622svn-3.mga8
+ Revision: 1500047
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:0.20110622svn-2.mga7
+ Revision: 1275418
- Mageia 7 Mass Rebuild

* Mon Apr 18 2016 tv <tv> 1:0.20110622svn-1.mga6
+ Revision: 1003326
- imported package sgabios

